package org.micord.models;

import lombok.Setter;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @author Maksim Tereshin
 */
@Setter
@XmlRootElement(name = "RequestArgument")
public class RequestArgument {

	private String id;
	private List<String> aqlCollectionRead;
	private String requestURL;
	private SqlConnectionParams sqlConnectionParams;

	@XmlElement(name = "SqlConnectionParams")
	public SqlConnectionParams getSqlConnectionParams() {
		return sqlConnectionParams;
	}

	@XmlElement(name = "Id")
	public String getId() {
		return id;
	}

	@XmlElementWrapper(name = "AqlCollectionReads")
	@XmlElement(name = "AqlCollectionRead")
	public List<String> getAqlCollectionRead() {
		return aqlCollectionRead;
	}

	@XmlElement(name = "RequestURL")
	public String getRequestURL() {
		return requestURL;
	}

}
